GH-CONFIG(1)

NAME
gh-config - Manage configuration for gh

SYNOPSIS
gh config <command> [flags]

DESCRIPTION
Display or change configuration settings for gh.

Current respected settings: - git_protocol: the protocol to use for git clone and push operations {https | ssh} (default https) - editor: the text editor program to use for authoring text - prompt: toggle interactive prompting in the terminal {enabled | disabled} (default enabled) - prefer_editor_prompt: toggle preference for editor-based interactive prompting in the terminal {enabled | disabled} (default disabled) - pager: the terminal pager program to send standard output to - http_unix_socket: the path to a Unix socket through which to make an HTTP connection - browser: the web browser to use for opening URLs - color_labels: whether to display labels using their RGB hex color codes in terminals that support truecolor {enabled | disabled} (default disabled) - accessible_colors: whether customizable, 4-bit accessible colors should be used {enabled | disabled} (default disabled) - accessible_prompter: whether an accessible prompter should be used {enabled | disabled} (default disabled) - spinner: whether to use a animated spinner as a progress indicator {enabled | disabled} (default enabled) - telemetry: whether telemetry is enabled, disabled, or logging {enabled | disabled | log} (default enabled)

AVAILABLE COMMANDS

gh-config-clear-cache(1)
    Clear the cli cache

gh-config-get(1)
    Print the value of a given configuration key

gh-config-list(1)
    Print a list of configuration keys and values

gh-config-set(1)
    Update configuration with a value for the given key

EXIT CODES
0: Successful execution

1: Error

2: Command canceled

4: Authentication required

NOTE: Specific commands may have additional exit codes. Refer to the command's help for more information.

SEE ALSO
gh(1)